END USER LICENSE AGREEMENT  
TO 
THE CIRCADAPT FRAMEWORK 

This End-User License Agreement ("Agreement") is a legal agreement between You and KTF B.V. on 
behalf of Maastricht University ("UM"), having its principal office at Minderbroedersberg 4-6, 6211 
LK, Maastricht, the Netherlands and academisch ziekenhuis Maastricht, also acting under the name 
Maastricht UMC+, having its principal office at Peter Debyelaan 25, 6229 HX Maastricht, The 
Netherlands ("azM") jointly the owners of the CirAdapt Framework which is a platform for simulating 
and analyzing the dynamics of the heart, blood vessels, and blood flow.   ("CircAdapt Framework"). 
1. DEFINITIONS
In addition to the terms defined elsewhere in this Agreement the following terms, whether used 
herein in the singular or the plural, shall have the following respective meanings:
1.1	"Academic Researcher" shall mean a person who is an employee of universities and whose 
appointment contemplates that s(he) will conduct research and/or is responsible for teaching of 
students or a student, being a person enrolled in a course of study at a university. 
1.2	"Agreement" shall mean this End-User License Agreement;
1.3	CircAdapt Library: The main part of the CircAdapt Framework, written in the programming 
language C++. It contains the components to build the numerical problem (model), solvers to solve 
the numerical problem, and the bookkeeping to interact between components. This can be compiled 
into a library (e.g. so it can be used by pyCircAdapt) or adopted by other software (e.g. a GUI).
1.4	"Developer User" shall mean any person (being an Academic researcher) who compiles the 
CircAdapt Library for specific operating systems. (S)he has access to the source code and can adjust 
parts of it. S(he) can develop new components for the framework, potentially releasing them as 
separate plugins.
1.5	"KTF B.V." is a company active in the field of exploitation of know-how and intellectual 
property rights of UM and azM and has an exclusive license to exploit the know-how and intellectual 
property rights of UM and azM;
1.6 	"Licensed Field" shall mean the simulation and analysis of the heart, blood vessels, and blood 
flow;
1.7	"Licensed Intellectual Property Rights" shall mean intellectual property including but not 
limited to, know how, trade secrets, methods, standard operating procedures, designs, recipes, raw 
materials information, patents, trademarks (or any other registered rights) in relation to the 
CircAdapt Framework which is a platform for simulating and analyzing the dynamics of the heart, 
blood vessels, and blood flow;
1.8	"Licensor" shall mean KTF B.V.;	
1.9	"Licensee" shall mean User or Developer User. 
1.10	"Improvement" shall mean any and all adjustments, improvements, developments, new 
components, modifications and adaptations to any part of the Licensed Intellectual Property Rights;
1.11	"Third Party" shall mean any person other than Licensor and User;
1.12	"User" shall mean any person (being an Academic Researcher) who designs simulation 
protocols, utilizes prebuilt models or creates new ones within the CircAdapt Framework. Users 
reparametrize models into simulation protocols, execute them, and analyze results. (S)he has read-
only access to the source code, and cannot adjust it.
1.13	"You" shall mean User or Developer User, dependent upon which License You have chosen to 
be granted. 
2. GRANT OF LICENSE
Licensor grant to User a free, revocable, non-exclusive, non-transferable, non-sublicensable, License 
to use the Licensed Intellectual Property Rights for educational, non-commercial and research 
purposes within the Licensed Field.  
Licensor grants to Developer User a free, revocable, non-exclusive, non-transferable, non-
sublicensable License to use, modify, adapt, develop plug ins and compile the Licensed Intellectual 
Property Rights including its source code for educational, non-commercial and research purposes 
within the Licensed Field.
UM and azM have and retain the rights to practice the Licensed Intellectual Property Rights and 
Improvements for any and all commercial, research and development, education and scientific 
publication purposes.
3. LICENSE RESTRICTIONS 
User shall not at any time, directly or indirectly: (i) copy, modify, or create derivative works of the 
Licensed Intellectual Property Rights, in whole or in part; (ii) reverse engineer, disassemble, 
decompile, decode, adapt, or otherwise attempt to derive or gain access to the source code of the 
Licensed Intellectual Property Rights, in whole or in part; (iii) remove any proprietary notices from the 
Licensed Intellectual Property Rights; or (iv) use the Licensed Intellectual Property Rights in any 
manner or for any purpose that infringes, misappropriates, damages, disables, overburdens, or 
impairs or otherwise violates any intellectual property right or other right of any person, or interfere 
with any other party's use and enjoyment of the Licensed Intellectual Property Rights, or that violates 
any applicable law.
Developer User shall not (i) distribute or sell the Licensed Intellectual Property Rights (i) distribute or 
sell any Improvements (including Licensed Intellectual Property Rights) without proper 
acknowledgement and prior written permission of Licensor and upon the condition that the entire 
associated risk is assumed by Developer User; (ii) use the Licensed Intellectual Property Rights in any 
manner that infringes, misappropriates, or otherwise violates any intellectual property rights or other 
rights of any Third Party or that violates any applicable law; or (iii) remove any proprietary notices 
from the Licensed Intellectual Property Rights.
4. DISCLAIMER OF WARRANTY
THE LICENSE IS PROVIDED WITHOUT WARRANTY OF MERCHANTABILITY OR FITNESS FOR A 
PARTICULAR PURPOSE, WARRANTY AS TO THE ENFORCEABILITY OR SCOPE OF ANY LICENSED 
INTELLECTUAL PROPERTY RIGHT, OR ANY OTHER WARRANTY, EXPRESS OR IMPLIED. LICENSOR MAKES 
NO REPRESENTATION OR WARRANTY THAT LICENSEE'S ACTIVITIES UNDER THE LICENSE WILL NOT 
INFRINGE ANY PROPRIETARY RIGHT OF A THIRD PARTY. LICENSOR WILL NOT BE LIABLE FOR SUCH 
INFRINGEMENT, OR AN ALLEGATION THEREOF, NOR SHALL THE SAME BE AN EXCUSE FOR NON-
PERFORMANCE OF LICENSEES OBLIGATIONS HEREUNDER. LICENSOR ASSUMES NO RESPONSIBILITIES 
OR LIABILITIES TOWARDS LICENSEE OR THIRD PARTIES WITH RESPECT TO THE USE OF THE LICENSED 
INTELLECTUAL PROPERTY RIGHTS. THE ENTIRE RISK OF THE USE OF THE LICENSED INTELLECTUAL 
PROPERTY RIGHTs IS ASSUMED BY LICENSEE.
5. IP PROTECTION 
Licensee represents and warrants that it will not reproduce, disclose or use Licensed Intellectual 
Property Rights for any purpose, or in any manner, other than in the performance of its rights, duties 
and obligations under this Agreement or as provided in this Agreements. 
Licensee will safeguard the Licensed Intellectual Property Rights and its related materials with that 
degree of normal due care commensurate with reasonable standards of industrial security for the 
protection of trade secrets and proprietary information so that no unauthorized use is made of them.  
If Licensee either (i) reasonably believes that a Third Party is infringing any of the Licensed Intellectual 
Property Rights or (ii) learns of any infringement of the Licensed Intellectual Property Rights by a 
Third Party, Licensee shall promptly notify Licensor. Licensor shall decide whether or not to take legal 
measures against an infringer.    
6. FEEDBACK
Licensee will provide Licensor  upon request of Licensor or on its own initiative  with correct and 
reasonable information and feedback (including, without limitation, questions, comments, 
suggestions, or the like) regarding the performance, features, functionality, errors, bugs, and overall 
experience using the Licensed Intellectual Property ("Feedback") and will make itself available to UM 
on a reasonable basis for this purpose. Licensee will not provide any such Feedback to any Third Party 
without Licensors prior written consent in each instance. Licensor has no obligation to consider, use, 
return or preserve any Feedback Licensee provides and is free to use it as it pleases. 
Any Improvements shall be the property of Licensor.
6. TERM AND TERMINATION	
This Agreement and the License may be terminated by Licensor, at any time, with or without cause, 
immediately, upon notice to you upon written notice to Licensee. Upon termination, Licensee must 
cease all use of the Licensed Intellectual Property and destroy all copies of the Licensed Intellectual 
Property in its possession or control.
7. LIABILITY AND INDEMNIFICATION
In no event shall Licensor be liable for any damages (including, without limitation, damages for loss 
of data or profit, or due to business interruption) arising out of the use or inability to use of the 
Licensed Intellectual Property, even if Licensor has been notified orally or in writing of the possibility 
of such damage. 

Licensee agrees to indemnify, hold harmless and defend Licensor, UM, azM, their officers, directors, 
employees, and agents from and against any and all liability, claims, suits, injuries, actions, demands, 
prosecutions, losses, damage, costs, fees, and expenses arising out the exercise of the License. This 
indemnification will include, but not be limited to, any product liability. In no event will Licensor, UM, 
azM be liable for any incidental, special or consequential damages resulting from the exercise of the 
Licensed Intellectual Property Rights. The provisions of this Article 7 shall survive expiration or 
termination of this Agreement.
8. NOTICES 
Licensee can provide Licensor with feedback, notices, requests, and other communications under this 
Agreement upon: framework@circadapt.org.
9. COMPLIANCE WITH APPLICABLE LAWS
In performing this Agreement, Licensee shall comply with all applicable laws. Nothing in this 
Agreement shall be construed so as to require the violation of any law, and wherever there is any 
conflict between any provision of this Agreement and any law, the law shall prevail, but in such event 
the affected provision of this Agreement shall be affected only to the extent necessary to bring it 
within the applicable law.	
10. CHOICE OF LAW AND JURISDICTION 
This Agreement is subject to and shall be interpreted, construed and enforced in accordance with the 
laws of The Netherlands with the exception of its conflict of law principles. Any action on any dispute 
arising out of this Agreement shall be submitted to court competent for the municipality of 
Maastricht, The Netherlands, and the Parties consent to the jurisdiction of such court.


